7497 matches found
RLSA-2026:30858 Important: perl-IO-Compress security update
This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...
perl-IO-Compress security update
An update is available for perl-IO-Compress. This update affects Rocky Linux 8. A Common Vulnerability Scoring System CVSS base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list This distribution provides a Perl interface to allow reading and...
RockyLinux 8 : perl-IO-Compress (RLSA-2026:30858)
The remote RockyLinux 8 host has a package installed that is affected by a vulnerability as referenced in the RLSA-2026:30858 advisory. perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob CVE-2026-48962 Tenable has extracted the preceding description...
Fission: Incomplete capability denylist in Environment/Function PodSpec validation allows tenant-added CAP_SYS_TIME and cross-tenant node wall-clock corruption
Fission v1.24.0 added PodSpec safety validation for tenant-facing Environment and Function CRDs ValidatePodSpecSafety / ValidateContainerSafety admission webhook + sanitizeContainerSecurityContext executor merge layer, but the capability check was implemented as a fixed denylist of six Linux...
CVE-2026-66749
Let's Chat 0.4.0 through 0.4.8 contains a null dereference vulnerability that allows authenticated attackers to crash the server by supplying a valid 24-character hex string room parameter that matches no document in the database. Attackers can send a crafted GET /messages request causing an...
CVE-2026-66749
Let's Chat 0.4.0 through 0.4.8 contains a null dereference vulnerability that allows authenticated attackers to crash the server by supplying a valid 24-character hex string room parameter that matches no document in the database. Attackers can send a crafted GET /messages request causing an...
JLSEC-2026-797 Windows IOCP lifetime bugs can corrupt memory during cancellation or shutdown
Reseau releases before 1.3.3 contain related lifetime defects in the Windows I/O completion port IOCP backend. During cancellation or event-loop shutdown, the package can stop retaining memory that the Windows kernel still owns. A remote peer that can time or stall I/O around application-driven...
JLSEC-2026-803 Windows IOCP poller races unsynchronized registration tables
Reseau 1.0.0 through 1.3.1 access the Windows I/O completion port IOCP backend's registration dictionary and zombie vector concurrently from the poller and application threads without consistently taking the same lock. A remote peer can increase the likelihood of the race by driving connection...
ALPINE-CVE-2026-62430
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...
CVE-2026-62430
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...
kernel: blk-mq: pop cached request if it is usable
A flaw was found in the Linux kernel's blk-mq component. This use-after-free vulnerability occurs when a task attempts to submit a bio a data structure for I/O operations to blk-mq. If the task is interrupted and sleeps after checking for a cached request but before using it, the cached request c...
CVE-2026-62430 x86: Out-of-bounds read in vRTC emulation
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...
CVE-2026-62430
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...
CVE-2026-62430
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...
CVE-2026-62430
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...
x86: Out-of-bounds read in vRTC emulation
ISSUE DESCRIPTION Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after ...
SUSE-SU-2026:23008-1 Security update for perl
This update for perl fixes the following issues - CVE-2025-15649: IO:Uncompress:Unzip propagates uncaught exception when parsing zip header with malformed DOS date bsc1266361. - CVE-2026-8376: heap buffer overflow when compiling regular expressions with a repeated fixed string on 32-bit builds...
PT-2026-65519
Let's Chat 0.4.0 through 0.4.8 contains a null dereference vulnerability that allows authenticated attackers to crash the server by supplying a valid 24-character hex string room parameter that matches no document in the database. Attackers can send a crafted GET /messages request causing an...
PT-2026-65472
Name of the Vulnerable Software and Affected Versions Xen affected versions not specified Description Accesses to the CMOS memory contents are performed using an indirect IO port pair. Xen caches the index chosen by the guest, but a specific usage of this index lacks the necessary locking to...
CVE-2026-62430: Concurrent Execution using Shared Resource with Improper Synchronization
Accesses to the CMOS memory contents are done using an indirect IO port pair. Therefore Xen needs to cache the guest chosen index, and one of the usages of the index didn't take the necessary locking to avoid concurrent changes. As a result, a guest could change the index after it being checked,...